%define name goffice0.6
%define oname goffice
%define version 0.6.5

%define api 0.6
%define major 6
%define libname %mklibname %oname %{api}_%major
%define develname %mklibname -d %oname %api

Summary: Set of document centric objects and utilities for glib/gtk
Name: %{name}
Version: %{version}
Release: %mkrel 1
Source0: http://ftp.gnome.org/pub/GNOME/sources/goffice/%{oname}-%{version}.tar.bz2
License: GPLv2+
Group: System/Libraries
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	automake1.8
BuildRequires:	intltool
BuildRequires: gtk+2-devel
BuildRequires: libgnomeprint-devel >= 2.8.2
BuildRequires: libgsf-devel >= 1:1.13.3
BuildRequires: libglade2.0-devel
BuildRequires: pcre libpcre-devel
BuildRequires: gtk-doc
BuildRequires: perl-XML-Parser

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package -n %libname
Summary:  %{summary}
Group: %{group}
Requires: %name >= %version

%description -n %libname
Shared library implementing document centric objects and utilities for glib/gtk

%package -n %develname
Summary:  %{summary}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Conflicts: %mklibname -d goffice 0_3
Conflicts: %mklibname -d goffice 0_4
Obsoletes: %mklibname -d goffice 0.5_5

%description -n %develname
Development files of the Goffice library.

%prep
%setup -q -n %oname-%version

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT %oname-%version.lang
%makeinstall_std
%find_lang %oname-%version
find %buildroot -name \*.la|xargs chmod 644

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files -f %oname-%version.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS BUGS MAINTAINERS
%_datadir/%oname
%_datadir/pixmaps/%oname
%dir %_libdir/%oname/

%files -n %libname
%defattr(-,root,root)
%_libdir/libgoffice-%api.so.%{major}*
%_libdir/%oname/%version/

%files -n %develname
%defattr(-,root,root)
%_includedir/libgoffice-%{api}/
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/goffice-%api




%changelog
* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 0.6.5-1mdv2009.0
+ Revision: 279068
- new version
- update file list
- update license

* Wed Jun 25 2008 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdv2009.0
+ Revision: 229001
- initial package of goffice 0.6.x
- branch for stable goffice 0.6
- new version
- new version
- new version
- new version
- new major
- new version
- new major
- new version
- new version
- new version
- new version
- new version
- new devel name
- new version
- new major
- new version
- fix build
- new version
- new version
- drop merged patch
- add conflict with old devel package for upgrades
- new version
- new major
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - add conflict on lib(64)goffice0_4-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

